package com.chenyang.nse.bussiness.service.console;

import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseButton;
import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseRole;
import java.util.List;

public interface ButtonService {
   boolean checkNameExit(String menuid, String buttonname);

   void save(TBaseButton button);

   List<String> queryDistinctMenuId();

   List<TBaseButton> queryButtonByParentId(String parentid);

   TBaseButton queryButtonById(String id);

   void deletebutton(String id);

   String checkUrlExit(String url);

   List<TBaseButton> queryButtonCRUDByRoleids(List<TBaseRole> roleids);

   List<TBaseButton> queryButtonNotCRUDByRoleids(List<TBaseRole> roleids);
}
